cURL
curl -X GET \
/sepa-xml-payments/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/sepa-xml-payments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/sepa-xml-payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/sepa-xml-payments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c1e-0b0a-4e1a-8b0a-0b0a4e1a8b0a",
"type": "debit",
"createdAt": "<unknown>",
"dueDate": "2023-11-07T05:31:56Z",
"remittanceInformation": "#Fynn - Debit for invoice 123",
"endToEndId": "Fynn-123",
"amount": 100,
"sepaMandate": {
"id": "ad8f0b9c-0b1a-4e1a-8b0a-0b1a4e1a8b0a",
"status": "active",
"creditorIdentifier": "<string>",
"mandateReference": "MNDT-2021-0001",
"signatureDate": "2021-01-01",
"bankAccount": {
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"alias": "Girokonto",
"iban": "DE12500105170648489890",
"bic": "PBNKDEFFXXX",
"accountHolder": "Max Mustermann",
"bankName": "Commerzbank",
"source": "import",
"asValue": {
"iban": "DE89370400440532013000",
"bic": "COBADEFFXXX",
"accountHolder": "Max Mustermann",
"bankName": "Commerzbank"
},
"tenantId": "<string>"
},
"sequenceType": "FRST",
"sepaType": "core",
"createdAt": "2021-01-01T00:00:00+00:00",
"customer": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"firstSepaDebit": true,
"tenantId": "<string>"
},
"sepaXmlStatement": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"invoice": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"transaction": "<unknown>",
"autoCaptureAt": "2023-11-07T05:31:56Z",
"notifications": [
"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"
],
"customer": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"executionDate": "2023-11-07T05:31:56Z",
"tenantId": "<string>"
}SEPA XML
Get a Sepa XML payment
Get a Sepa XML payment
GET
/
sepa-xml-payments
/
{id}
cURL
curl -X GET \
/sepa-xml-payments/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/sepa-xml-payments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/sepa-xml-payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/sepa-xml-payments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1c1e-0b0a-4e1a-8b0a-0b0a4e1a8b0a",
"type": "debit",
"createdAt": "<unknown>",
"dueDate": "2023-11-07T05:31:56Z",
"remittanceInformation": "#Fynn - Debit for invoice 123",
"endToEndId": "Fynn-123",
"amount": 100,
"sepaMandate": {
"id": "ad8f0b9c-0b1a-4e1a-8b0a-0b1a4e1a8b0a",
"status": "active",
"creditorIdentifier": "<string>",
"mandateReference": "MNDT-2021-0001",
"signatureDate": "2021-01-01",
"bankAccount": {
"id": "ad8f0b9c-4b1e-4e0e-8b9c-4b1e4e0e8b9c",
"alias": "Girokonto",
"iban": "DE12500105170648489890",
"bic": "PBNKDEFFXXX",
"accountHolder": "Max Mustermann",
"bankName": "Commerzbank",
"source": "import",
"asValue": {
"iban": "DE89370400440532013000",
"bic": "COBADEFFXXX",
"accountHolder": "Max Mustermann",
"bankName": "Commerzbank"
},
"tenantId": "<string>"
},
"sequenceType": "FRST",
"sepaType": "core",
"createdAt": "2021-01-01T00:00:00+00:00",
"customer": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"firstSepaDebit": true,
"tenantId": "<string>"
},
"sepaXmlStatement": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"invoice": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"transaction": "<unknown>",
"autoCaptureAt": "2023-11-07T05:31:56Z",
"notifications": [
"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"
],
"customer": "ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a",
"executionDate": "2023-11-07T05:31:56Z",
"tenantId": "<string>"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
SepaXmlPayment identifier
Antwort
SepaXmlPayment resource
Beispiel:
"ad8f1c1e-0b0a-4e1a-8b0a-0b0a4e1a8b0a"
Possible values:
credit: Creditdebit: Debit
Verfügbare Optionen:
credit, debit Beispiel:
"debit"
Beispiel:
"#Fynn - Debit for invoice 123"
Beispiel:
"Fynn-123"
Beispiel:
100
A SEPA direct debit mandate authorizing the collection of payments from a customer's bank account.
Show child attributes
Show child attributes
Beispiel:
"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"
The invoice of the payment. In case of a cart payment or manual payment intent, the invoice is null.
Beispiel:
"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"
The transaction of the payment.
Beispiel:
"ad8f3b9e-1b1a-4b9a-9b9a-9b9a9b9a9b9a"
War diese Seite hilfreich?